Delete Address
Deletes an existing address in a shopper's address book.
Authorization
OAuth bolt.account.manageX-API-Key Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs.
For all APIs that require authorization, please provide your access_token returned from /v1/oauth/token via the basic auth bearer header Authorization: bearer ${TOKEN}.
Read more about the OAuth token endpoint.
In: header
Scope: bolt.account.manage
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Path Parameters
The ID for an address in the shopper's Address Book.
Header Parameters
The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].
Response Body
curl -X DELETE "https://example.com/v1/account/addresses/string"Replace Address POST
Replace an existing address in a shopper's address book. These changes delete the existing address and create a new one.
Edit Address PUT
Edit an existing address in a shopper's address book. This endpoint fully replaces the information for an existing address while retaining the same address ID.